miR_Clustering_Consensus:
  prerequisites: []
  root-entity: Individual_Set
  report-generating: true
  parameters:
  - {expression: Pearson, optional: true, name: GDAC_ConsensusClustering2.distance.measure,
    mode: Literal}
  - {expression: Pearson, optional: false, name: GDAC_selectBestcluster3.measure,
    mode: Literal}
  - {expression: individual_set_id, optional: false, name: GDAC_selectBestcluster3.output,
    mode: Simple_Expression}
  - {expression: none, optional: true, name: GDAC_ConsensusClustering2.normalize.type,
    mode: Literal}
  - {expression: Hierarchical, optional: true, name: GDAC_ConsensusClustering2.clustering.algorithm,
    mode: Literal}
  - {expression: columns, optional: true, name: GDAC_ConsensusClustering2.cluster.by,
    mode: Literal}
  - {expression: 'choose(["mirna__h_mirna_8x15kv2__unc_edu__Level_3__unc_DWD_Batch_adjusted__data",
      "mirna__h_mirna_8x15k__unc_edu__Level_3__unc_DWD_Batch_adjusted__data"])', optional: false,
    name: GDAC_selectBestcluster3.inputallexp, mode: Complex_Expression}
  - {expression: 'choose(["mirna__h_mirna_8x15kv2__unc_edu__Level_3__unc_DWD_Batch_adjusted__data",
      "mirna__h_mirna_8x15k__unc_edu__Level_3__unc_DWD_Batch_adjusted__data"])', optional: false,
    name: GDAC_mirnaTopgenesforCluster1.expfile, mode: Complex_Expression}
  - {expression: '150', optional: true, name: GDAC_mirnaTopgenesforCluster1.selectedgenes,
    mode: Literal}
  outputs:
  - {extension: bestclus.txt, expression: individual_set_id, import-entity-type: Sample,
    outputMode: Attach_File, optional: false, target-annotation-type-id: 1027, mode: Simple_Expression}
  output-path: miR/clustering_Consensus
  genepattern-lsid: urn:lsid:broadinstitute.org:cancer.genome.analysis:00279:23
